Execute Milestone Story Events
Use this request to create Milestones based on specific Story Events for multiple studies, study countries, or sites. You can include up to 500 rows in the CSV input.
POST
/api/{version}/app/clinical/milestone/{object_name}/actions/applytemplateHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | text/csv |
Accept | application/json (default) or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The object name__v field value. This endpoint only works with the study__v, study_country__v, or site__v objects. |
Body Parameters
Section link for Body ParametersThe CSV file must have the following columns:
| Name | Description |
|---|---|
id | The object record ID for which to create a milestone. This record must be of the same object indicated in the {object_name} path parameter. Instead of id, you can use a unique field defined by the idParam query parameter. |
story_event__v | Include the name or ID of a single story event to define the milestone sets to create. For example, story_event__v=OOV000000000705 or story_event__v.name__v=Candidate Country. |
external_id__v | Instead of id, you can use this user-defined object external ID. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
idParam | If you’re identifying objects in your input by a unique field, add idParam={fieldname} to the request endpoint. You can use any object field which has unique set to true in the object metadata, with the exception of picklists. For example, idParam=external_id__v. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-raw 'id,story_event__v
0SC000000001001,OOV000000000102' \
https://myvault.veevavault.com/api/v26.1/app/clinical/milestone/study_country__v/actions/applytemplateResponse
Section link for Response"id","story_event__v","status","Job id/Error"
"0SC000000001001","OOV000000000102","SUCCESS","327801"Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the job ID.